# magickpp_trgt Class Reference

`#include <trgt_magickpp.h>`

Inheritance diagram for magickpp_trgt:

List of all members.

## Public Member Functions

| magickpp_trgt (const char *filename)
virtual | ~magickpp_trgt ()
virtual bool | set_rend_desc (synfig::RendDesc *desc)
| Sets the RendDesc for the Target to desc.
virtual bool | init ()
virtual bool | start_frame (synfig::ProgressCallback *cb)
| Marks the start of a frame.
virtual void | end_frame ()
| Marks the end of a frame.
virtual synfig::Color * | start_scanline (int scanline)
| Marks the start of a scanline.
virtual bool | end_scanline ()
| Marks the end of a scanline.

## Detailed Description

======================================================================== Synfig

Copyright (c) 2007 Chris Moore

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

=========================================================================

## Constructor & Destructor Documentation

magickpp_trgt::magickpp_trgt | ( | const char * | filename | ) | `[inline]`

magickpp_trgt::~magickpp_trgt | ( |  | ) | `[virtual]`

References copy_image_list(), synfig::Target::desc, synfig::error(), synfig::RendDesc::get_frame_rate(), synfig::info(), and synfig::warning().

## Member Function Documentation

bool magickpp_trgt::set_rend_desc | ( | synfig::RendDesc * | d | ) | `[virtual]`

Sets the RendDesc for the Target to desc.

If there are any parts of desc that the render target is not capable of doing, the render target will adjust desc to fit its needs.

Reimplemented from synfig::Target.

References synfig::Target::desc.

bool magickpp_trgt::init | ( |  | ) | `[virtual]`

Reimplemented from synfig::Target.

References synfig::Target::desc, synfig::RendDesc::get_h(), and synfig::RendDesc::get_w().

virtual bool magickpp_trgt::start_frame | ( | synfig::ProgressCallback * | cb | ) | `[virtual]`

Marks the start of a frame.

Returns:
  `true` on success, `false` upon an error.

See also:
  end_frame(), start_scanline()

Implements synfig::Target_Scanline.

void magickpp_trgt::end_frame | ( |  | ) | `[virtual]`

Marks the end of a frame.

See also:
  start_frame()

Implements synfig::Target_Scanline.

virtual synfig::Color* magickpp_trgt::start_scanline | ( | int | scanline | ) | `[virtual]`

Marks the start of a scanline.

Parameters:

  | scanline | Which scanline is going to be rendered.

Returns:
  The address where the target wants the scanline to be written.

Warning:
  Must be called after start_frame()

See also:
  end_scanline(), start_frame()

Implements synfig::Target_Scanline.

bool magickpp_trgt::end_scanline | ( |  | ) | `[virtual]`

Marks the end of a scanline.

Takes the data that was put at the address returned to by start_scanline() and does whatever it is supposed to do with it.

Returns:
  `true` on success, `false` on failure.

See also:
  start_scanline()

Implements synfig::Target_Scanline.

References synfig::convert_color_format(), synfig::Target::gamma(), synfig::PF_A, and synfig::PF_RGB.

The documentation for this class was generated from the following files:

- trgt_magickpp.h
- trgt_magickpp.cpp